> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/webhookevent.md).

# WebhookEvent

A webhook payload

| Name         | Type            | Description                                               |
| ------------ | --------------- | --------------------------------------------------------- |
| createdAt    | ISO8601DateTime | Datetime the contact was created                          |
| headers      | JSON            | The headers sent with the webhook                         |
| id           | ID              | Unique identifier for the webhook event                   |
| payload      | String          | Webhook payload that will be sent                         |
| payloadType  | String          | Indicates if it was a default or custom payload           |
| responseBody | String          | The response body received after sending the webhook      |
| responseCode | String          | The HTTP response code received after sending the webhook |
| updatedAt    | ISO8601DateTime | Datetime the contact was last updated                     |
| url          | String          | Destination url for webhook                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/webhookevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
